Subject: [bug#69291] [PATCH 0/5] Start making substitute code less coupled

From: Christopher Baines <[email-masked]>
Date: Tue, 20 Feb 2024 19:05:07 +0000

These changes should help with using the substitute code in a Guile
implementation of the Guix daemon.

Christopher Baines (5):
  scripts: substitute: Remove side effect warning from network-error?.
  scripts: substitute: Allow not using with-timeout in download-nar.
  scripts: substitute: Replace some leave calls with raise.
  scripts: substitute: Untangle selecting fast vs small compressions.
  scripts: substitute: Extract script specific output from download-nar.

 guix/scripts/substitute.scm | 207 +++++++++++++++++++++---------------
 1 file changed, 123 insertions(+), 84 deletions(-)

base-commit: 3d061d9677027be7651f8e5a3a02e19daacd9a85
-- 
2.41.0